Bug 3936 - Nightly build failure on AIX in trunk
: Nightly build failure on AIX in trunk
Status: RESOLVED FIXED
: Toolkit Internals
globus_common
: development
: Other All
: P3 normal
: 4.0.2
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2005-11-23 15:22 by
Modified: 2006-04-18 10:58 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-23 15:22:43
gpt-build ====> Changing to
/home/condor/execute/dir_37628/userdir/globus-installer/source-
trees-thr/common/source

gpt-build ====> BUILDING FLAVOR vendorcc32dbgpthr
/prereq/make-3.80/bin/make distclean
make[1]: Entering directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-
trees-thr/common/source'
make[1]: *** No rule to make target `distclean'.  Stop.
make[1]: Leaving directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-trees-
thr/common/source'
GLOBUS_LOCATION=/home/condor/execute/dir_37628/userdir/install; export
GLOBUS_LOCATION;  
CPP='/usr/lib/cpp'; export CPP; CPPFLAGS='
-I/home/condor/execute/dir_37628/userdir/install/
include
-I/home/condor/execute/dir_37628/userdir/install/include/vendorcc32dbgpthr';
export 
CPPFLAGS; CFLAGS='-g -qfullpath -D_ALL_SOURCE -q32 -D_ALL_SOURCE   '; export
CFLAGS; 
LDFLAGS='-b32 -brtl -bnoipath 
-L/home/condor/execute/dir_37628/userdir/install/lib '; export 
LDFLAGS; LIBS='  -lpthread'; export LIBS; CXX='/prereq/vacpp-6/bin/xlC_r -q32';
export CXX; 
CXXCPP='/prereq/vacpp-6/bin/xlC_r -q32 -E'; export CXXCPP; CXXFLAGS='-g
-qfullpath -
D_ALL_SOURCE -q32 -D_ALL_SOURCE   '; export CXXFLAGS; F77='/bin/xlf_r -q32';
export F77; F90='/
bin/xlf90_r -q32'; export F90; AR='/usr/bin/ar -X32'; export AR; ARFLAGS='ruv';
export ARFLAGS; 
RANLIB='/bin/ranlib'; export RANLIB; NM='/usr/bin/nm -X32 -B'; export NM;
OBJECT_MODE='32'; 
export OBJECT_MODE; CC='/prereq/vacpp-6/bin/xlc_r -q32'; export CC; 
/home/condor/execute/
dir_37628/userdir/globus-installer/source-trees-thr/common/source/configure 
--with-
flavor=vendorcc32dbgpthr 
checking whether to enable maintainer-specific portions of Makefiles... no
Dependencies Complete
checking for a BSD-compatible install...
/home/condor/execute/dir_37628/userdir/globus-installer/
source-trees-thr/common/source/install-sh -c
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking for gcc... /prereq/vacpp-6/bin/xlc_r -q32
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables... 
checking for suffix of object files... o
checking whether we are using the GNU C compiler... no
checking whether /prereq/vacpp-6/bin/xlc_r -q32 accepts -g... yes
checking for /prereq/vacpp-6/bin/xlc_r -q32 option to accept ANSI C... none
needed
checking dependency style of /prereq/vacpp-6/bin/xlc_r -q32... none
checking for gethostbyaddr_r... yes
checking number of arguments to gethostbyaddr_r... 5
checking for gethostbyname... yes
checking for gethostbyname_r... yes
checking number of arguments to gethostbyname_r... 3
checking for ctime... yes
checking for localtime... yes
checking for gmtime... yes
checking for localtime_r... yes
checking for gmtime_r... yes
checking for ctime_r... yes
checking number of arguments to ctime_r... 2
checking if struct passwd contains pw_age... no
checking if struct passwd contains pw_comment... no
checking for getpwnam... yes
checking for getpwnam_r... yes
checking number of arguments to getpwnam_r... 5
checking for getpwuid... yes
checking for getpwuid_r... yes
checking number of arguments to getpwuid_r... 5
checking for readdir_r... yes
checking number of arguments to readdir_r... 3
checking if struct dirent contains d_off... "no"
checking if struct dirent contains d_offset... "yes"
checking if struct dirent contains d_type... "no"
checking if struct dirent contains d_reclen... "yes"
checking for -lnsl... no
checking for -lsocket... no
checking for dlopen... yes
checking for getaddrinfo... yes
checking for freeaddrinfo... yes
checking for getnameinfo... yes
checking for inet_addr... yes
checking for inet_pton... yes
checking for opendir... yes
checking for closedir... yes
checking for readdir... yes
checking for rewinddir... yes
checking for gai_strerror... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating pkgdata/Makefile
config.status: creating pkgdata/pkg_data_src.gpt
config.status: creating library/Makefile
config.status: creating programs/Makefile
config.status: creating programs/globus-sh-exec
config.status: creating programs/globus-version
config.status: creating scripts/Makefile
config.status: creating config/Makefile
config.status: creating doxygen/Makefile
config.status: creating doxygen/Doxyfile
config.status: creating doxygen/Doxyfile-internal
config.status: creating version.h
config.status: creating config.h
config.status: creating library/globus_common.h
config.status: executing depfiles commands
GLOBUS_LOCATION=/home/condor/execute/dir_37628/userdir/install; export
GLOBUS_LOCATION; /
prereq/make-3.80/bin/make
make[1]: Entering directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-
trees-thr/common/source'
/prereq/make-3.80/bin/make  all-recursive
make[2]: Entering directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-
trees-thr/common/source'
Making all in library
make[3]: Entering directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-
trees-thr/common/source/library'
/prereq/make-3.80/bin/make  all-am
make[4]: Entering directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-
trees-thr/common/source/library'
/bin/bash
/home/condor/execute/dir_37628/userdir/install/sbin/libtool-vendorcc32dbgpthr
--
mode=compile /prereq/vacpp-6/bin/xlc_r -q32 -DHAVE_CONFIG_H -I.
-I/home/condor/execute/
dir_37628/userdir/globus-installer/source-trees-thr/common/source/library -I..
-I. -I/home/condor/
execute/dir_37628/userdir/install/include/vendorcc32dbgpthr   
-I/home/condor/execute/dir_37628/
userdir/install/include
-I/home/condor/execute/dir_37628/userdir/install/include/vendorcc32dbgpthr  
-g -qfullpath -D_ALL_SOURCE -q32 -D_ALL_SOURCE    -c -o globus_args.lo
globus_args.c
mkdir .libs
 /prereq/vacpp-6/bin/xlc_r -q32 -DHAVE_CONFIG_H -I.
-I/home/condor/execute/dir_37628/userdir/
globus-installer/source-trees-thr/common/source/library -I.. -I.
-I/home/condor/execute/dir_37628/
userdir/install/include/vendorcc32dbgpthr
-I/home/condor/execute/dir_37628/userdir/install/include 
-I/home/condor/execute/dir_37628/userdir/install/include/vendorcc32dbgpthr -g
-qfullpath -
D_ALL_SOURCE -q32 -D_ALL_SOURCE -c globus_args.c  -DPIC -o .libs/globus_args.o
"globus_libc.h", line 392.12: 1506-343 (S) Redeclaration of gai_strerror
differs from previous 
declaration on line 392 of "/usr/include/netdb.h".
"globus_libc.h", line 392.12: 1506-050 (I) Return type "const char*" in
redeclaration is not compatible 
with the previous return type "char*".
make[4]: *** [globus_args.lo] Error 1
make[4]: Leaving directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-trees-
thr/common/source/library'
make[3]: *** [all] Error 2
make[3]: Leaving directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-trees-
thr/common/source/library'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-trees-
thr/common/source'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/home/condor/execute/dir_37628/userdir/globus-installer/source-trees-
thr/common/source'
ERROR: Build has failed
make: *** [globus_common-thr] Error 2
------- Comment #1 From 2005-11-24 05:00:46 -------
fixed -- config.h wasn't being included where it needed to be.
------- Comment #2 From 2005-11-25 11:03:06 -------
Got this in openssl_error now on a RH9 x86 box:

 /usr/bin/gcc -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -
DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"globus_gsi_openssl_error\" -
DVERSION=\"0.12\" -I. -I/home/condor/execute/dir_1367/userdir/globus_build/packaging/gtTRUNK-
all-source-installer/source-trees-thr/gsi/openssl_error/source/library -I.. -I/home/condor/execute/
dir_1367/userdir/include/gcc32dbgpthr -I/home/condor/execute/dir_1367/userdir/include -I/home/
condor/execute/dir_1367/userdir/include/gcc32dbgpthr -g -D_REENTRANT -Wall -c 
globus_error_openssl.c  -fPIC -DPIC -o .libs/globus_error_openssl.o
In file included from /home/condor/execute/dir_1367/userdir/include/gcc32dbgpthr/
globus_common.h:58,
                 from globus_error_openssl.h:45,
                 from globus_i_error_openssl.h:27,
                 from globus_error_openssl.c:24:
/home/condor/execute/dir_1367/userdir/include/gcc32dbgpthr/globus_common_include.h:19:20: 
config.h: No such file or directory
make[2]: *** [globus_error_openssl.lo] Error 1
make[2]: Leaving directory `/home/condor/execute/dir_1367/userdir/globus_build/packaging/
gtTRUNK-all-source-installer/source-trees-thr/gsi/openssl_error/source/library'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/condor/execute/dir_1367/userdir/globus_build/packaging/
gtTRUNK-all-source-installer/source-trees-thr/gsi/openssl_error/source'
ERROR: Build has failed
make: *** [globus_gsi_openssl_error-thr] Error 29
------- Comment #3 From 2005-11-25 15:47:56 -------
OK, rebroke AIX until I look at this better.
------- Comment #4 From 2005-12-01 13:11:48 -------
Also happens on Solaris with gcc:

5447          In file included from globus_args.c:18:
5448          globus_libc.h:361: redefinition of `struct addrinfoŽ
5449          globus_libc.h:392: conflicting types for `gai_strerrorŽ
5450          /usr/include/netdb.h:311: previous declaration of `gai_strerrorŽ

You can see the log for that starting at http://tinderbox.globus.org/cgi-bin//gunzip.cgi?
tree=GlobusHEAD&full-log=1133401323.19604#5339
------- Comment #5 From 2005-12-06 15:28:32 -------
Moved the offending autoconf func checks to core, fix committed and tested on 
aix and linux.